Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUCtrlListBindingChangeAdapter

`java.lang.Object
oracle.jbo.uicli.jui.JUCtrlListBindingChangeAdapter`

All Implemented Interfaces:
  JUCtrlListBindingChangeListener

public class JUCtrlListBindingChangeAdapter
extends java.lang.Object
implements JUCtrlListBindingChangeListener

Since:
  10.1.3
Version:
  $Header: JUCtrlListBindingChangeAdapter.java 26-aug-2005.12:52:37 rvangri Exp $

Constructor Summary
`JUCtrlListBindingChangeAdapter()`

Method Summary
`void` | `valueNotFound(JUCtrlListBindingChangeEvent e)` This method will be called by the JUCtrlListBinding when a lookup is performed and the value is not found in the binding list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUCtrlListBindingChangeAdapter

    public JUCtrlListBindingChangeAdapter()

Method Detail

### valueNotFound

    public void valueNotFound(JUCtrlListBindingChangeEvent e)

  Description copied from interface: `JUCtrlListBindingChangeListener`
  This method will be called by the JUCtrlListBinding when a lookup is performed and the value is not found in the binding list. This may occur when the UI allows free editing in a combobox; this method can be used to validate the value and update the binding list.
  Specified by:
    `valueNotFound` in interface `JUCtrlListBindingChangeListener`
  Parameters:
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.